#ifndef  __ASM5915_H__
#define  __ASM5915_H__
#include "Util.h"
#include <Wire.h>


class ASM5915 : public BarometerIcf
{
    TwoWire &wire_;
    int     address_;

    float temperature_;
    float pressure_;
    unsigned long  lastInitTime_;
    
  
    void initSensorValues();
    
  public:
    ASM5915(TwoWire &wire, int address);
    float getTemperature();
    long  getPressure();
    void begin();

};

#endif // __ASM5915_H__
