#ifndef _MS5611_H_
#define _MS5611_H_
#include <Wire.h>
#include "Util.h"


class MS5611 : public BarometerIcf
{
    TwoWire &wire_;
    int     address_;
    uint16_t C[7];
    double rawT_;
    float temperature_;
    float pressure_;
    uint32_t lastInitTimeTemp_;
  
    uint32_t getVal(char code);
    void initSensorValues();
    
  public:
    MS5611(TwoWire &wire, int address);

    float getTemperature();
    long  getPressure();
 
    void begin();

};



#endif //_MS5611_H_


